| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
Digikam::IOJobData Class Reference

## Public Types
enum | FileConflict { Continue = 0 , AutoRename , Overwrite }
enum | Operation { Unknown = 0 , CopyAlbum , CopyImage , CopyFiles , CopyToExt , MoveAlbum , MoveImage , MoveFiles , Restore , Rename , Delete , Trash , Empty }

## Public Member Functions
| IOJobData (int operation, const DTrashItemInfoList &infos)
| IOJobData (int operation, const ItemInfo &info, const QString &newName, bool overwrite=false)
| IOJobData (int operation, const QList< ItemInfo > &infos, const QUrl &dest)
| IOJobData (int operation, const QList< ItemInfo > &infos, PAlbum *const dest=nullptr)
| IOJobData (int operation, const QList< QUrl > &urls, const QUrl &dest)
| IOJobData (int operation, const QList< QUrl > &urls, PAlbum *const dest=nullptr)
| IOJobData (int operation, PAlbum *const src, PAlbum *const dest=nullptr)
PAlbum * | destAlbum () const
QString | destName (const QUrl &srcUrl) const
QUrl | destUrl (const QUrl &srcUrl=QUrl()) const
bool | errorOrCancel () const
int | fileConflict () const
ItemInfo | findItemInfo (const QUrl &url) const
QUrl | getNextUrl () const
QString | getProgressId () const
QList< ItemInfo > | itemInfos () const
QDateTime | jobTime () const
int | operation () const
void | setDestUrl (const QUrl &srcUrl, const QUrl &destUrl)
void | setErrorOrCancel (bool err)
void | setFileConflict (int fc)
void | setItemInfos (const QList< ItemInfo > &infos)
void | setProgressId (const QString &id)
void | setSourceUrls (const QList< QUrl > &urls)
QList< QUrl > | sourceUrls () const
PAlbum * | srcAlbum () const
QList< int > | srcAlbumIds () const
DTrashItemInfoList | trashItems () const